ApiClusterTemplateRoleConfigGroup (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClusterTemplateRoleConfigGroup

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateRoleConfigGroup

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClusterTemplateRoleConfigGroup
      extends Object

  Role config group info.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateRoleConfigGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateRoleConfigGroup` | `addConfigsItem(ApiClusterTemplateConfig configsItem)`
    `ApiClusterTemplateRoleConfigGroup` | `base(Boolean base)`
    `ApiClusterTemplateRoleConfigGroup` | `configs(List<ApiClusterTemplateConfig> configs)`
    `ApiClusterTemplateRoleConfigGroup` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `List<ApiClusterTemplateConfig>` | `getConfigs()` List of configurations
    `String` | `getDisplayName()` Role config group display name
    `String` | `getRefName()` The reference name of the role config.
    `String` | `getRoleType()` Role type
    `int` | `hashCode()`
    `Boolean` | `isBase()` If true then it is the base config group for that role.
    `ApiClusterTemplateRoleConfigGroup` | `refName(String refName)`
    `ApiClusterTemplateRoleConfigGroup` | `roleType(String roleType)`
    `void` | `setBase(Boolean base)`
    `void` | `setConfigs(List<ApiClusterTemplateConfig> configs)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setRefName(String refName)`
    `void` | `setRoleType(String roleType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateRoleConfigGroup

          public ApiClusterTemplateRoleConfigGroup()

  - ### Method Detail

    - #### refName

          public ApiClusterTemplateRoleConfigGroup refName(String refName)

    - #### getRefName

          public String getRefName()

      The reference name of the role config.
      Returns:
        refName

    - #### setRefName

          public void setRefName(String refName)

    - #### roleType

          public ApiClusterTemplateRoleConfigGroup roleType(String roleType)

    - #### getRoleType

          public String getRoleType()

      Role type
      Returns:
        roleType

    - #### setRoleType

          public void setRoleType(String roleType)

    - #### base

          public ApiClusterTemplateRoleConfigGroup base(Boolean base)

    - #### isBase

          public Boolean isBase()

      If true then it is the base config group for that role. There can only be one base role config group for a given role type. Defaults to false.
      Returns:
        base

    - #### setBase

          public void setBase(Boolean base)

    - #### displayName

          public ApiClusterTemplateRoleConfigGroup displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Role config group display name
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### configs

          public ApiClusterTemplateRoleConfigGroup configs(List<ApiClusterTemplateConfig> configs)

    - #### addConfigsItem

          public ApiClusterTemplateRoleConfigGroup addConfigsItem(ApiClusterTemplateConfig configsItem)

    - #### getConfigs

          public List<ApiClusterTemplateConfig> getConfigs()

      List of configurations
      Returns:
        configs

    - #### setConfigs

          public void setConfigs(List<ApiClusterTemplateConfig> configs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.